package org.shunt.contorller;

import java.util.List;

import org.shunt.contorller.request.XmoseRequest;
import org.shunt.contorller.request.XmoseResponse;
import org.shunt.contorller.response.BannerVO;
import org.shunt.contorller.response.ScheduleVO;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api("企微集成")
@RequestMapping("/qywechat")
public class LoginController {

    @GetMapping("/login")
    @ApiOperation(value = "企微登录", notes="企微登录")
    public XmoseResponse<List<BannerVO>> login(XmoseRequest<?> request) {
        return XmoseResponse.success(null);
    }

    @GetMapping("/callback")
    @ApiOperation(value = "企微回调", notes="企微回调")
    public XmoseResponse<List<ScheduleVO>> callback(XmoseRequest<?> request) {
  
    	 return XmoseResponse.success(null);
    }
}
