package org.shunt.contorller.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonIgnoreProperties(ignoreUnknown = true)
@ApiModel("BannerVO")
public class BannerVO {
	@ApiModelProperty(value = "BannerTitle")
	private String  bannerTitle;
	@ApiModelProperty(value = "Banner图片连接")
	private String  bannerImageUrl;
	@ApiModelProperty(value = "Banner跳转地址")
	private String  jumUrl;
	@ApiModelProperty(value = "Banner跳转类型：0-无跳转，1-内部跳转体质，2-http跳转地址",dataType="Integer",example="0")
	private Integer jumType;
}
