package org.shunt.contorller.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonIgnoreProperties(ignoreUnknown = true)
@ApiModel("专业分流统计")
public class MajorShuntCountVO {
	@ApiModelProperty(value = "专业ID")
	private Integer  majorId;
	@ApiModelProperty(value = "专业名称")
	private String  majorName;
	@ApiModelProperty(value = "专业排名")
	private String  majorRank;
	@ApiModelProperty(value = "第一志愿报名学生人数")
	private Integer  sinUpStudentsNum;
	@ApiModelProperty(value = "专业学生总配合")
	private Integer  totalStudentsNum;
}
