package org.shunt.contorller.response;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonIgnoreProperties(ignoreUnknown = true)
@ApiModel("专业分流名额")
public class ShuntQuotaVO {
	@ApiModelProperty(value = "学生总数")
	private Integer  totalStudents;
	@ApiModelProperty(value = "学生报名数")
	private Integer  sinUpStudents;
	@ApiModelProperty(value = "未报名学生数")
	private Integer  unSinUpStudents;
	
	@ApiModelProperty(value = "专业分流统计",dataType="String")
	private List<MajorShuntCountVO>  majorShuntCountVOList;
}
