package org.shunt.contorller.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonIgnoreProperties(ignoreUnknown = true)
@ApiModel("学生成绩点")
public class StudentScoreVO {
	@ApiModelProperty(value = "学生ID")
	private Integer  studentId;
	@ApiModelProperty(value = "学生姓名")
	private String  studentName;
	@ApiModelProperty(value = "学生性别：1-男，2-女")
	private Integer  genderId;
	@ApiModelProperty(value = "学生性别")
	private String  genderName;
	@ApiModelProperty(value = "学生学号")
	private String  studentNO;
	@ApiModelProperty(value = "学生电话")
	private String  mobileNo;
	@ApiModelProperty(value = "学生邮箱")
	private String  studentEmail;
	@ApiModelProperty(value = "专业ID")
	private Integer  majorId;
	@ApiModelProperty(value = "专业名称")
	private String  majorName;
	@ApiModelProperty(value = "学生班级ID")
	private Integer  gradeId;
	@ApiModelProperty(value = "学生班级名称")
	private String  gradeName;
	@ApiModelProperty(value = "学生平均成绩点")
	private Float  avgScore;
	@ApiModelProperty(value = "学生平均成绩点排名")
	private Integer  avgScoreRank;
	@ApiModelProperty(value = "学生平均成绩点总数")
	private Integer  avgScoreMaxRank;
}
