package org.shunt.contorller.response;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonIgnoreProperties(ignoreUnknown = true)
@ApiModel("日程安排")
public class ScheduleVO {
	@ApiModelProperty(value = "日程Title")
	private String  labelTitle;
	@ApiModelProperty(value = "日程开始日期")
	private String  labelStartDate;
	@ApiModelProperty(value = "日程结束日期")
	private String  labelEndDate;
	@ApiModelProperty(value = "日程状态：-1：已结束，0-未开始，1-进行中",dataType="Integer",example="1")
	private Integer labelStatus;
	@ApiModelProperty(value = "日程状态名称：已结束，未开始，进行中",dataType="String",example="进行中")
	private String  labeltatusName;
}
